### Method

# FwupdPlugin HeciDevice read_file

#### Declaration [src]

    GByteArray*
    fu_heci_device_read_file (
      FuHeciDevice* self,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Reads a file from the MFS.

Available since: | 2.0.9

#### Parameters

`filename` | `const gchar*`
| MFS filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guint8`
| File data.
| The caller of the method takes ownership of the data container, but not the data inside it.